import React from 'react';
import styled from "styled-components";
import { NavItemType } from "../types/types";

const StyledItem = styled.div`
  display: flex;
`

const NavItem: React.FC<NavItemType> =
    ({
         icon,
         label,
         minified
     }) => {
        return (
            <StyledItem>
                {icon ? icon : null}
                {!minified && label ? <span>{label}</span> : null}
            </StyledItem>
        );
    };

export default NavItem;